/**
*SystemAccess App
* There are different ways implementing an App
*/
var SystemAccessApp = SystemAccessApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
SystemAccessApp.App = function () {
    this.id = 'SystemAccessApp';
    this.name = 'System Access';
    this.version = '6.0.20';
    this.active = false;
    this.menuIcon = '/apps/systemaccess/images/logo.png?v=6.0.20&';
    this.shortcutIcon = '/apps/systemaccess/images/logo.png?v=6.0.20&';
    this.entryUrl = '/apps/systemaccess/system_access.html?v=6.0.20&';
	//this.entryHelpUrl = '/apps/systemaccess/system_access_help.html?v=6.0.20&';
	var self = this;
    this.SystemAccessAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('System Access')){
    		return false;
    	}
        self.window = new MUI.Window({
            id: 'SystemAccessAppWindow',
            title: UNAS._('System Access'),
            icon: '/apps/systemaccess/images/logo_small.png?v=6.0.20&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/systemaccess/system_access.html?v=6.0.20&',
            require: {  css: ['/apps/systemaccess/css/system_access.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("System Access",'SystemAccessApp')}
        });
    };
	this.SystemAccessAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('System Access');
    	UNAS.RemoveMenu('System Access');
    	UNAS.RemoveAppFromGroups('System Access', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('System Access', 'Help');
    	UNAS.RemoveAppFromApps('System Access');
    }
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'System Access', '', this.SystemAccessAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'System Access', this.SystemAccessAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('System Access', UNAS._('System Access')); //translate menu
		//UNAS.SetShortcutTitle('System Access', UNAS._('System Access')); //translate shortcut
		if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SystemAccessAppWindow', UNAS._('System Access'));
        }
    }
	UNAS.LoadTranslation('/apps/systemaccess/languages/Translation?v=' + this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.SystemAccessAppWindow,this.SystemAccessAppUninstall);
};

new SystemAccessApp.App(); //Create app
